<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Toolbar of the XML Editor Perspective
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="XML-Editor_7439318.html">XML Editor</a></span>
              </li>
              <li>
                <span><a href="XML-Editor-Perspective_7439322.html">XML Editor Perspective</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Toolbar of the XML Editor Perspective</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified by <span class="editor">Oliver Schmid</span> on Jun 18, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="noindent">
              When the XML Editor is open, additional functions in the toolbar will be active depending on the view that is currently selected.
            </p>
            <p class="subsubsectionHead">
              <strong>Show Block Markers / Show Inline Markers (WYSIWYM View)</strong>
            </p>
            <p class="noindent">
              Click <strong><span style="color: rgb(255,0,0);"><img class="confluence-embedded-image" src="attachments/7439328/8192291.gif" data-image-src="attachments/7439328/8192291.gif" title="161-Block-Tags-einblenden.gif"/></span></strong> to show block markers and click <img class="confluence-embedded-image" src="attachments/7439328/8192292.gif" data-image-src="attachments/7439328/8192292.gif" title="160-Inline-Tags-einblenden.gif"/> to see all inline markers in the <a href="WYSIWYM-View_7439340.html">WYSIWYM View</a>.
            </p>
            <p class="subsubsectionHead">
              <strong>Next Annotation / Previous Annotation (Source View)</strong>
            </p>
            <p class="noindent">
              By clicking on <img class="confluence-embedded-image confluence-thumbnail" width="36" src="attachments/7439328/7766122.png" data-image-src="attachments/7439328/7766122.png" title="icon_annotation_next.png"/> or <img class="confluence-embedded-image" src="attachments/7439328/7766123.png" data-image-src="attachments/7439328/7766123.png" title="icon_annotation_prev.png"/>, the next or the previous annotation in the source code can be found. By clicking the small triangle next to these icons a list of entities is presented that can be checked. Only the marked kinds of objects will be found. You can select additions and changes as well as errors, warnings, and information. You have also the possibility to jump to the next or previous annotation.
            </p>
            <p class="subsubsectionHead">
              <strong>Turn Grammar Constraints on and off (Source View)</strong>
            </p>
            <p class="noindent">
              When you edit an XML document that has a set of constraints or rules defined by a DTD or an XML schema, you can turn the constraints on and off by clicking <img class="confluence-embedded-image" src="attachments/7439328/7766124.png" data-image-src="attachments/7439328/7766124.png" title="constrain-on.png"/> or <img class="confluence-embedded-image" src="attachments/7439328/7766125.png" data-image-src="attachments/7439328/7766125.png" title="constrain-off.png"/>. When the constraints are turned on, the XML Editor prevents you from inserting elements, attributes, or attribute values not permitted by the rules of the XML schema or DTD, and from deleting necessary or predefined sets of tags and values.
            </p>
            <p class="subsubsectionHead">
              <strong>Reload Dependencies (Source View)</strong>
            </p>
            <p class="noindent">
              If your XML document is associated with a DTD or XML schema that has changed, you can reload the dependencies by clicking<img class="confluence-embedded-image" src="attachments/7439328/7766126.png" data-image-src="attachments/7439328/7766126.png" title="reload-dependencies.png"/>.
            </p>
          </div>
          
          <div class="pageSection group">
            <div class="pageSectionHeader">
              <h2 id="comments" class="pageSectionTitle">
                Comments:
              </h2>
            </div>
            <table border="0" width="100%">
              <tr>
                <td>
                  <a name="comment-8131328"/>
                  <p>
                    <font class="smallfont"><span style="color: rgb(51,51,51);">Is this still possible?</span></font>
                  </p>
                  <p class="subsubsectionHead">
                    <font class="smallfont"><em>Available Tags (WYSIWYM View)</em></font>
                  </p>
                  <p class="subsubsectionHead">
                    <font class="smallfont">In all modes except the Design View available elements can be shown by clicking <img class="confluence-embedded-image" src="attachments/7439328/8192230.png" data-image-src="attachments/7439328/8192230.png" title="cancel.png"/> and be added to the toolbar via the context menu. To remove them use <img class="confluence-embedded-image" src="attachments/7439328/8192230.png" data-image-src="attachments/7439328/8192230.png" title="cancel.png"/>. If the <a href="WYSIWYM-View_7439340.html">WYSIWYM View</a> is selected, a few more icons are shown: You can click on <span style="color: rgb(255,0,0);"> </span><img class="confluence-embedded-image" src="attachments/7439328/8192293.gif" data-image-src="attachments/7439328/8192293.gif" title="125-Einfuege_Lieblingselement_in_XML.gif"/> to get a suggestion of available tags that can be added as your favorites to the toolbar. By double-clicking them, they are added to the XML document. To remove tags
                    instantly from the toolbar favorite list again, click <img class="confluence-embedded-image" src="attachments/7439328/8192294.gif" data-image-src="attachments/7439328/8192294.gif" title="126-Loesche_Lieblingselement_in_XML.gif"/><span style="color: rgb(51,51,51);"><strong>.</strong></span><span style="color: rgb(255,0,0);"> </span></font>
                  </p>
                  <p class="noindent">
                    <font class="smallfont"><span style="color: rgb(255,0,0);"> </span></font>
                  </p>
                  <p>
                    <font class="smallfont"> </font>
                  </p>
                  <div align="left" class="smallfont" style="color: #666666; width: 98%; margin-bottom: 10px;">
                    <img src="images/icons/contenttypes/comment_16.png" height="16" width="16" border="0" align="absmiddle"/> Posted by PhilippVanscheidt at May 09, 2012 14:49
                  </div>
                </td>
              </tr>
            </table>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
